MultilateralNetState
Keywords: net.corda.finance.contracts.asset.MultilateralNetState class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class MultilateralNetState<P>

- net.corda.finance.contracts.asset.MultilateralNetState<P>

- All Implemented Interfaces:
    NetState<P>

      public class MultilateralNetState<P>
      implements NetState<P>

  Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

  See Also:
    `class BilateralNetState`

- - ### Constructor Detail

    - #### MultilateralNetState

          public MultilateralNetState(@NotNull
                                      net.corda.finance.contracts.asset.Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`

  - ### Method Detail

    - #### getTemplate

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Terms<P> getTemplate()

    - #### component1

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Terms<P> component1()

    - #### copy

          @NotNull
          public MultilateralNetState<P> copy(@NotNull
                                                       net.corda.finance.contracts.asset.Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`

    - #### hashCode

          public int hashCode()

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`